;InnoSetupVersion=4.2.6

[Setup]
AppName=Cryptainer LE
AppVerName=Cryptainer LE 6.0
AppId=sscrle
AppVersion=6.1
AppPublisher=Cypherix
AppPublisherURL=http://cypherix.com
AppSupportURL=http://cypherix.com
AppUpdatesURL=http://cypherix.com
AppMutex=cryptainerle
DefaultDirName={pf}\Cryptainer LE
DefaultGroupName=Cryptainer
UninstallDisplayIcon={app}\cryptainerle.exe
UninstallDisplayName=Cryptainer LE
OutputBaseFilename=cryptainerle6.0
Compression=lzma
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\cryptainerle.exe"; DestDir: "{app}"; 
Source: "{app}\cryptainerle.chm"; DestDir: "{app}"; 
Source: "{app}\cryptainerle.tips"; DestDir: "{app}"; 
Source: "{app}\cryptainerle.ntv.lng"; DestDir: "{app}"; 
Source: "{app}\blowfish.bin"; DestDir: "{app}"; 
Source: "{sys}\IOSUBSYS\ssoft9x.vxd"; DestDir: "{sys}\IOSUBSYS"; Components: vxd; Flags: restartreplace sharedfile 
Source: "{app}\setupaid.exe"; DestDir: "{app}"; 
Source: "{app}\mblredir.exe"; DestDir: "{app}"; 
Source: "{sys}\ssoftsrv.exe"; DestDir: "{sys}"; Flags: restartreplace sharedfile 
Source: "{sys}\Drivers\ssoftnt4.sys"; DestDir: "{sys}\Drivers"; Flags: restartreplace sharedfile 

[Registry]
Root: HKCU; Subkey: "Software\Cypherix"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Cypherix\CryptainerLE"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Cypherix\CryptainerLE\Configuration"; Flags: uninsdeletekey 

[Run]
Filename: "{app}\setupaid.exe"; Parameters: "SECURESoft /s"; 
Filename: "{app}\cryptainerle.exe"; WorkingDir: "{app}"; StatusMsg: "Starting Cryptainer LE..."; Description: "Run Cryptainer LE"; Flags: postinstall nowait

[UninstallRun]
Filename: "{app}\setupaid.exe"; Parameters: "SECURESoft /r"; 

[Icons]
Name: "{group}\Cryptainer LE"; Filename: "{app}\cryptainerle.exe"; WorkingDir: "{app}"; 
Name: "{group}\Cryptainer LE Help"; Filename: "{app}\cryptainerle.chm"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall Cryptainer LE"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Cryptainer LE"; Filename: "{app}\cryptainerle.exe"; WorkingDir: "{app}"; 

[Components]
Name: "vxd"; Description: "Cryptainer Driver for Windows 9X"; Types: "win9x"; 

[Types]
Name: "win9x"; Description: "Cryptainer for Windows 95/98/Me"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
